## q-text-as-data 1.7.4+2018.12.21+git+28f776ed46

=== requirements.txt ===
six==1.11.0
flake8==3.6.0

## q-text-as-data 1.4.0

=== debian/changelog ===
q-text-as-data (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.

  [ Thomas Goirand ]
  * Using openstack-pkg-tools for packaging.
  * Fixed build-depends versions.
  * Fixed gbp.conf.
  * Added dh-python as build-depends.
  * Now doing: dh_python3 --shebang=/usr/bin/python3 (Closes: #867463)
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2017 12:59:55 +0200

q-text-as-data (1.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #771777)

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Dec 2014 17:27:02 +0800

=== debian/control ===
Source: q-text-as-data
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python3-all,
Build-Depends-Indep: ,
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/third-party/q-text-as-data.git
Vcs-Git: https://anonscm.debian.org/git/openstack/third-party/q-text-as-data.git
Homepage: http://harelba.github.io/q/

Package: python-q-text-as-data
Architecture: all
Provides: q-text-as-data,
Depends: sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: performs SQL-like statements on tabular text data - Python 2.x
 Q is a command line tool that allows direct execution of SQL-like queries on
 CSVs/TSVs (and any other tabular text files). Q treats ordinary files as
 database tables, and supports all SQL constructs, such as WHERE, GROUP BY,
 JOINs etc. It supports automatic column name and column type detection, and
 provides full support for multiple encodings.
 .
 This package provides the Python 2 version.

Package: python3-q-text-as-data
Architecture: all
Depends: sqlite3,
         ${misc:Depends},
         ${python3:Depends},
Description: performs SQL-like statements on tabular text data - Python 3.x
 Q is a command line tool that allows direct execution of SQL-like queries on
 CSVs/TSVs (and any other tabular text files). Q treats ordinary files as
 database tables, and supports all SQL constructs, such as WHERE, GROUP BY,
 JOINs etc. It supports automatic column name and column type detection, and
 provides full support for multiple encodings.
 .
 This package provides the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/harelba/q.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/python-q-text-as-data/usr/bin
	cp bin/q $(CURDIR)/debian/python-q-text-as-data/usr/bin/python2-q-text-as-data
	mkdir -p $(CURDIR)/debian/python3-q-text-as-data/usr/bin
	cp bin/q $(CURDIR)/debian/python3-q-text-as-data/usr/bin/python3-q-text-as-data

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHON=python$$pyvers ./test/test-all ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## q-text-as-data 1.7.4+2018.12.21+git+28f776ed46

=== debian/changelog ===
q-text-as-data (1.7.4+2018.12.21+git+28f776ed46-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938320).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 17:05:38 +0200

q-text-as-data (1.7.4+2018.12.21+git+28f776ed46-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release (Closes: #888688):
    - Fixes Python 3 compat (Closes: #920537).
    - Add python{3,}-six as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Jan 2019 00:10:07 +0100

=== debian/control ===
Source: q-text-as-data
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
Build-Depends-Indep:
 python3-six,
Standards-Version: 4.0.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/q-text-as-data
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/q-text-as-data.git
Homepage: http://harelba.github.io/q/

Package: python3-q-text-as-data
Architecture: all
Provides:
 q-text-as-data,
Depends:
 python3-six,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: performs SQL-like statements on tabular text data - Python 3.x
 Q is a command line tool that allows direct execution of SQL-like queries on
 CSVs/TSVs (and any other tabular text files). Q treats ordinary files as
 database tables, and supports all SQL constructs, such as WHERE, GROUP BY,
 JOINs etc. It supports automatic column name and column type detection, and
 provides full support for multiple encodings.
 .
 This package provides the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/harelba/q.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/python3-q-text-as-data/usr/bin
	cp bin/q $(CURDIR)/debian/python3-q-text-as-data/usr/bin/

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		echo "===> Testing with python$$pyvers" ; \
		PYTHON=python$$pyvers ./test/test-all || true ; \
	done
endif

## q-text-as-data 3.1.6

=== requirements.txt ===
six==1.11.0
flake8==3.6.0
setuptools<45.0.0

=== mkdocs/requirements.txt ===
Click==7.0
Deprecated==1.2.7
Jinja2==2.10.3
Markdown==3.1.1
MarkupSafe==1.1.1
PyGithub==1.45
PyJWT==1.7.1
PyYAML==5.3
Pygments==2.5.2
certifi==2019.11.28
chardet==3.0.4
htmlmin==0.1.12
idna==2.8
jsmin==2.2.2
livereload==2.6.1
mkdocs-bootstrap4==0.1.2
mkdocs-bootswatch==1.0
mkdocs-git-committers-plugin==0.1.8
mkdocs-material==4.6.0
mkdocs-minify-plugin==0.2.1
mkdocs==1.0.4
pep562==1.0
pymdown-extensions==6.2.1
requests==2.22.0
six==1.14.0
tornado==6.0.3
urllib3==1.25.8
wrapt==1.11.2

=== debian/changelog ===
q-text-as-data (3.1.6-4) unstable; urgency=medium

  * Add fix-datetime-deprecated.patch (Closes: #1074707).
  * Bump debhelper-compat to 11.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 03:35:11 +0200

q-text-as-data (3.1.6-3) unstable; urgency=medium

  * Aslo clean .pytest_cache (Closes: #1045174).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 11:44:56 +0200

q-text-as-data (3.1.6-2) unstable; urgency=medium

  * Py 3.11 patch: remove-U-mode-when-opening-files.patch (Closes: #1028139).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jan 2023 09:02:04 +0100

q-text-as-data (3.1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #953876).
  * Fixed running tests.
  * Fixed installing q in /usr/bin.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 11:14:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
 Build-Depends-Indep:
+ python3-pytest,
  python3-six,
 Standards-Version: 4.0.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/q-text-as-data

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/harelba/q.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

#export Q_DEBUG=True

override_dh_auto_clean:
	rm -rf build .pytest_cache
	rm -rf *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/python3-q-text-as-data/usr/bin
	cp bin/q.py $(CURDIR)/debian/python3-q-text-as-data/usr/bin/q

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		echo "===> Testing with python$$pyvers" ; \
		PYTHON=python$$pyvers python$$pyvers -m pytest -m 'not benchmark' -v ; \
	done
endif
